QQWING(1)

NAME
qqwing - A tool for generating and solving Sudoku puzzles

SYNOPSIS

qqwing --generate [OPTIONS...]
qqwing --solve [OPTIONS...]

DESCRIPTION

qqwing is a Sudoku puzzle generator and solver. It offers the following features:

• Fast. It can solve 1000 puzzles in 1 second and generate 1000 puzzles in 25 seconds.

• Uses logic. Uses as many solve techniques as possible when solving puzzles rather than guessing.

• Rates puzzles. Most generators don't give an indication of the difficulty of a Sudoku puzzle. QQwing does.

• Can print solve instructions. Tells steps that need to be taken to solve any puzzle.

• Customizable output style, including a CSV style that is easy to import into a database.

OPTIONS

--generate <num>
    Generate new puzzles

--solve
    Solve all the puzzles from standard input

--difficulty
    Generate only simple, easy, intermediate, expert, or any

--symmetry <sym>
    Symmetry: none, rotate90, rotate180, mirror, flip, or random

--puzzle
    Print the puzzle (default when generating)

--nopuzzle
    Do not print the puzzle (default when solving)

--solution
    Print the solution (default when solving)

--nosolution
    Do not print the solution (default when generating)

--stats
    Print statistics about moves used to solve the puzzle

--nostats
    Do not print statistics (default)

--timer
    Print time to generate or solve each puzzle

--notimer
    Do not print solve or generation times (default)

--count-solutions
    Count the number of solutions to puzzles

--nocount-solutions
    Do not count the number of solutions (default)

--history
    Print trial and error used when solving

--nohistory
    Do not print trial and error to solve (default)

--instructions
    Print the steps (at least 81) needed to solve the puzzle

--noinstructions
    Do not print steps to solve (default)

--log-history
    Print trial and error to solve as it happens

--nolog-history
    Do not print trial and error to solve as it happens

--one-line
    Print puzzles on one line of 81 characters

--compact
    Print puzzles on 9 lines of 9 characters

--readable
    Print puzzles in human readable form (default)

--csv
    Output CSV format with one line puzzles

-h, --help
    Display help message

--about
    Display author and license information

--version
    Display version number

SEE ALSO

http://qqwing.com/